$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "dunlop/version"

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "dunlop-core"
  s.version     = Dunlop::VERSION
  s.authors     = ["Benjamin ter Kuile"]
  s.email       = ["bterkuile@gmail.com"]
  s.homepage    = "http://mozolutions.com"
  s.summary     = "Workflow management and data ananylis"
  s.description = "Organize business processes, do data analysis and guard your goals"
  s.test_files  = Dir.glob("spec/**/*")

  s.files = Dir["{app,config,db,lib,vendor}/**/*", "LICENSE", "Rakefile", "README.md"]

  s.add_dependency "rails", ">= 4.2.6"
  s.add_dependency 'slim-rails'
  s.add_dependency 'record_collection', '>= 0.10.4'
  s.add_dependency 'request_store'
  s.add_dependency 'ransack'
  s.add_dependency 'responders'
  s.add_dependency 'redcarpet'
  s.add_dependency 'state_machines-activerecord'
  s.add_dependency 'simple_form'
  s.add_dependency 'devise'
  s.add_dependency 'devise-token_authenticatable'
  s.add_dependency 'exception_notification'
  s.add_dependency 'facets'
  s.add_dependency 'memoist'
  s.add_dependency 'cancancan'

  # assets
  s.add_dependency 'momentjs-rails'
  s.add_dependency 'pickadate-rails', '~> 3.5.5.0' # 3.5.6.0 does not work with editable: true
  s.add_dependency 'coffee-rails', '~> 4.1'
  s.add_dependency 'js-routes'
  s.add_dependency "font-awesome-rails"
  s.add_dependency "sass-rails", ">= 5.0.4"

  # End user development dependencies
  #s.add_dependency 'rspec-rails'
  #s.add_dependency 'capybara-webkit'
  #s.add_dependency 'capybara-screenshot'
  #s.add_dependency 'factory_bot_rails'
  #s.add_dependency 'database_cleaner'
end
